Name:           linux-sys-tree
Version:        1
Release:        1%{?dist}
Summary:        sys/tree.h, for Linux
License:        BSD
URL:            https://github.com/cemeyer/%{name}
Source0:        https://github.com/cemeyer/%{name}/archive/v%{version}.tar.gz

# For /usr/include/sys :
Requires:       glibc-headers


%description
Developers often find self-balancing sorted trees useful as ordered set/map
data types. Without this header, C developers are somewhat limited on Linux.


%prep
%setup -q -n %{name}-%{version}


%build
make %{?_smp_mflags}


%install
mkdir -p %{buildroot}%{_includedir}/sys
mkdir -p %{buildroot}%{_mandir}/man3
%make_install


%files
%doc COPYING README
%{_mandir}/man3/tree.3*
%{_includedir}/sys/tree.h


%changelog
* Sun Apr 13 2014 Conrad Meyer <cemeyer@uw.edu> - 1-1
- Initial package
